Bug 653146 - Review Request: python-genshi06 - Toolkit for stream-based generation of output for the web
Summary: Review Request: python-genshi06 - Toolkit for stream-based generation of outp...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nick Bebout
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-11-14 17:27 UTC by Kevin Fenzi
Modified: 2011-01-13 23:30 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-01-13 23:30:14 UTC
Type: ---
nb: fedora-review+
tibbs: fedora-cvs+


Attachments (Terms of Use)

Description Kevin Fenzi 2010-11-14 17:27:23 UTC
Spec URL: http://www.scrye.com/~kevin/fedora/python-genshi06/python-genshi06.spec
SRPM URL: http://www.scrye.com/~kevin/fedora/python-genshi06/python-genshi06-0.6-1.el6.src.rpm
Description: 

Genshi is a Python library that provides an integrated set of
components for parsing, generating, and processing HTML, XML or other
textual content for output generation on the web. The major feature is
a template language, which is heavily inspired by Kid.

This version is a compat version for EPEL6 only. It's needed by the newest version of trac. 
As soon as RHEL6 updates this package (possibly in 6.1 or 6.2) it will be dropped. 

Scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=2598115
rpmlint says: 
python-genshi06.noarch: W: spelling-error %description -l en_US Genshi -> Gens hi, Gens-hi, Genseric
python-genshi06.noarch: W: spelling-error %description -l en_US compat -> compar, compact, combat
python-genshi06.src: W: spelling-error %description -l en_US Genshi -> Gens hi, Gens-hi, Genseric
python-genshi06.src: W: spelling-error %description -l en_US compat -> compar, compact, combat
2 packages and 0 specfiles checked; 0 errors, 4 warnings.

(which can all be ignored)

Comment 1 Cristian Ciupitu 2010-11-19 02:17:06 UTC
Disclaimer: I'm not a packager.

# MUST: rpmlint must be run on the source rpm and all binary rpms the build produces. The output should be posted in the review.[1]
OK
$ rpmlint  ~/rpmbuild/RPMS/noarch/python-genshi06-0.6-1.fc14.noarch.rpm 
python-genshi06.noarch: W: spelling-error %description -l en_US Genshi -> Gens hi, Gens-hi, Genseric
python-genshi06.noarch: W: spelling-error %description -l en_US compat -> compar, compact, combat
1 packages and 0 specfiles checked; 0 errors, 2 warnings.

# MUST: The package must be named according to the Package Naming Guidelines .
OK

# MUST: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption. [2] .
OK

# MUST: The package must meet the Packaging Guidelines .
OK

# MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines .
OK (BSD is fine)

# MUST: The License field in the package spec file must match the actual license. [3]
OK

# MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.[4]
OK

# MUST: The spec file must be written in American English. [5]
OK

# MUST: The spec file for the package MUST be legible. [6]
OK

# MUST: The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use md5sum for this task. If no upstream URL can be specified for this package, please see the Source URL Guidelines for how to deal with this.
OK (identical)

# MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture. [7]
OK (it's noarch)

# MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch. Each architecture listed in ExcludeArch MUST have a bug filed in bugzilla, describing the reason that the package does not compile/build/work on that architecture. The bug number MUST be placed in a comment, next to the corresponding ExcludeArch line. [8]
N/A

# MUST: All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines ; inclusion of those as BuildRequires is optional. Apply common sense.
OK

# MUST: The spec file MUST handle locales properly. This is done by using the %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.[9]
N/A (no locales)

# MUST: Every binary RPM package (or subpackage) which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun. [10]
N/A (python library)

# MUST: Packages must NOT bundle copies of system libraries.[11]
OK

# MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review, along with the rationalization for relocation of that specific package. Without this, use of Prefix: /usr is considered a blocker. [12]
N/A

# MUST: A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory. [13]
OK

# MUST: A Fedora package must not list a file more than once in the spec file's %files listings. (Notable exception: license texts in specific situations)[14]
OK

# MUST: Permissions on files must be set properly. Executables should be set with executable permissions, for example. Every %files section must include a %defattr(...) line. [15]
OK

# MUST: Each package must consistently use macros. [16]
OK

# MUST: The package must contain code, or permissable content. [17]
OK

# MUST: Large documentation files must go in a -doc subpackage. (The definition of large is left up to the packager's best judgement, but is not restricted to size. Large can refer to either size or quantity). [18]
OK

# MUST: If a package includes something as %doc, it must not affect the runtime of the application. To summarize: If it is in %doc, the program must run properly if it is not present. [18]
OK

# MUST: Header files must be in a -devel package. [19]
N/A (python library)

# MUST: Static libraries must be in a -static package. [20]
N/A (python library)

# MUST: If a package contains library files with a suffix (e.g. libfoo.so.1.1), then library files that end in .so (without suffix) must go in a -devel package. [19]
N/A (python library)

# MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency: Requires: %{name} = %{version}-%{release} [21]
N/A

# MUST: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.[20]
N/A

# MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section. If you feel that your packaged GUI application does not need a .desktop file, you must put a comment in the spec file with your explanation. [22]
N/A (not a GUI app)

# MUST: Packages must not own files or directories already owned by other packages. The rule of thumb here is that the first package to be installed should own the files or directories that other packages may rely upon. This means, for example, that no package in Fedora should ever share ownership with any of the files or directories owned by the filesystem or man package. If you feel that you have a good reason to own a file or directory that another package owns, then please present that at package review time. [23]
OK

# MUST: All filenames in rpm packages must be valid UTF-8. 
OK


A tiny suggestion: you might want to use this macro: "%global srcname Genshi". I'm using it for #531544 at abadger1999's suggestion.
I'll continue with the rest of the checklist tomorrow.

Comment 2 Cristian Ciupitu 2010-11-19 12:06:33 UTC
# SHOULD: If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it. [25]
N/A

# SHOULD: The description and summary sections in the package spec file should contain translations for supported Non-English languages, if available. [26]
N/A

# SHOULD: The reviewer should test that the package builds in mock. [27]
OK. I haven't setup mock yet, but since it builds on koji, it must be fine.

# SHOULD: The package should compile and build into binary rpms on all supported architectures. [28]
OK (it's noarch)

# SHOULD: The reviewer should test that the package functions as described. A package should not segfault instead of running, for example.
TODO. I don't have RHEL6 or something compatible, but it worked fine on Fedora 14 after patching a bit the spec:
@@ -50,3 +50,3 @@
 %doc ChangeLog COPYING doc examples README.txt 
-%{python_sitelib}/Genshi-0.6-py2.7.egg
+%{python_sitelib}/Genshi-0.6-py2.6.egg

# SHOULD: If scriptlets are used, those scriptlets must be sane. This is vague, and left up to the reviewers judgement to determine sanity. [29]
N/A

# SHOULD: Usually, subpackages other than devel should require the base package using a fully versioned dependency. [21]
N/A

# SHOULD: The placement of pkgconfig(.pc) files depends on their usecase, and this is usually for development purposes, so should be placed in a -devel pkg. A reasonable exception is that the main pkg itself is a devel tool not installed in a user runtime, e.g. gcc or gdb. [30]
N/A

# SHOULD: If the package has file dependencies outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin consider requiring the package which provides the file instead of the file itself. [31]
N/A

# SHOULD: your package should contain man pages for binaries/scripts. If it doesn't, work with upstream to add them where they make sense.[32]
N/A

-----

To sum up, everything is fine, but I can not make any guarantees about the RHE6 specific part because I don't use it.

Comment 3 Kevin Fenzi 2010-11-19 20:07:10 UTC
Thanks for the nice pre-review! ;)

Comment 4 Cristian Ciupitu 2010-11-19 20:46:22 UTC
One more thing: the SPEC from the .src.rpm doesn't look like the plain SPEC you've mentioned here.

Comment 5 Kevin Fenzi 2010-11-19 20:48:14 UTC
Sorry about that. The spec was correct, the src.rpm was from a previous build. 

I have re-uploaded the correct srpm now. 
Thanks for catching that.

Comment 6 Nick Bebout 2010-11-19 21:39:52 UTC
I concur with Cristian's review. (normally I would put the whole review checklist in here, but since Cristian already did, I am not going to)

This package is APPROVED.

Comment 7 Kevin Fenzi 2010-11-19 22:09:20 UTC
Thanks to both of you!

New Package SCM Request
=======================
Package Name: python-genshi06 
Short Description: Toolkit for stream-based generation of output for the web
Owners: kevin jkeating
Branches: EL-6 
InitialCC:

Will mark this package dead.package in rawhide/devel right after it's created.

Comment 8 Jason Tibbitts 2010-11-22 13:58:47 UTC
Please remember to assign the ticket to yourself when you do a review.

Comment 9 Jason Tibbitts 2010-11-22 14:12:52 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.